# Find Linux joystick header file.
# Defines LINUX_JOYSTICK_FOUND.
# FreeBSD has a port that emulates a Linux joystick.

FIND_PATH(LINUX_JOYSTICK_INCLUDE_DIR joystick.h /usr/include/linux /usr/local/include/linux)

IF (LINUX_JOYSTICK_INCLUDE_DIR)
   SET(LINUX_JOYSTICK_FOUND TRUE)
   MESSAGE(STATUS "Found Linux joystick: ${LINUX_JOYSTICK_INCLUDE_DIR}/joystick.h")
ELSE (LINUX_JOYSTICK_INCLUDE_DIR)
   IF (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
      MESSAGE(STATUS "NOTICE: Install the port devel/linux-js to use joystick on FreeBSD.")
   ENDIF (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
ENDIF (LINUX_JOYSTICK_INCLUDE_DIR)
