/*****************************************************************************
 * $LastChangedDate: 2009-05-18 13:53:36 -0500 (Mon, 18 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Include file-system headers.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_OS_FILE_HH
#define BASE_OS_FILE_HH 1

#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>
#include <errno.h>
#if ! OS_WINDOWS
#include <unistd.h>
#include <dirent.h>
#endif

namespace base {

// Filesystem specific.
#define DIRECTORY_SEPARATOR_CHAR '/'  // Windows supports UNIX forward slash
#define DIRECTORY_SEPARATOR_STR  "/"
const string DIRECTORY_SEPARATOR_STRING("/");
#if OS_WINDOWS
#define DOSFS  1
#define GETCWD _getcwd
#else
#define GETCWD getcwd
#endif

} // namespace base

#endif // BASE_OS_FILE_HH
