/*****************************************************************************
 * $LastChangedDate: 2009-05-18 09:11:03 -0500 (Mon, 18 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Compatibility for compiling single-thread.
 * @remarks	This was stripped-down from Version 2.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_THREAD_SINGLE_HH
#define BASE_THREAD_SINGLE_HH 1

namespace base {

// Write curly braces (behind the scenes, forms an "if" clause).
// BUSY_BEGIN {
// } BUSY_END
#define BUSY_BEGIN			{ PERSISTENT int sBusy = 0;			\
                              if ( not sBusy )
#define BUSY_BEGIN_ASSERT	{ PERSISTENT int sBusy = 0;			\
                              ASSERT( not sBusy );				\
                              if ( not sBusy )
#define BUSY_END			}

} // namespace base

#endif // BASE_THREAD_SINGLE_HH
