/*****************************************************************************
 * $LastChangedDate: 2009-05-06 20:36:12 -0500 (Wed, 06 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions, constants, settings.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 * @remarks This header file should only contain independent constants.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef CONTROL_DEFS_HH
#define CONTROL_DEFS_HH 1

namespace control {
namespace defs {

const Milliseconds  DEFAULT_JOYSTICK_TICK_FREQ	= base::defs::DEFAULT_TICK_FREQ;	///< frequency of polling joystick queue
const fp			JOYSTICK_MIN_FRACTION		= 0.01f;							///< to avoid tiny rotations
const uint			REPLAY_VERSION_NUMBER		= 3;								///< version of replay format (see replay.cc)

} // namespace defs
} // namespace control

#endif // CONTROL_DEFS_HH
