/*****************************************************************************
 * $LastChangedDate: 2009-05-20 15:51:18 -0500 (Wed, 20 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace control
 * @brief control module (layer over lower-level input module, contains current Craft).
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef CONTROL_MODULE_HH
#define CONTROL_MODULE_HH 1

namespace control {

enum { AXIS_PITCH, AXIS_YAW, AXIS_ROLL };

} // namespace control

//------------------------------------------------------------------------------
// See base/module.hh

namespace control {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace control

//------------------------------------------------------------------------------

#include "base/module.hh"
#include "base/time.hh"
using namespace base;
#include "control/typesig_defs.hh"
#include "control/control.hh"

#endif // CONTROL_MODULE_HH
