/*****************************************************************************
 * $LastChangedDate: 2009-05-20 15:51:18 -0500 (Wed, 20 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Initialize/start module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define SOUND_MODULE_CC 1
#include "base/module.hh"
using namespace base;
#include "glue/module.hh"
using namespace glue;
#include "sound/module.hh"

namespace sound {

/*****************************************************************************
 * Initialize module.
 *****************************************************************************/
void
Init( const base::InitArgs& initArgs )
{
	for ( int i = 1; i < initArgs.mArgc; ++i )
	{
		if ( STREQ( initArgs.mArgv[i], "-no-sound" )
          or STREQ( initArgs.mArgv[i], "-ns" )
          or STREQ( initArgs.mArgv[i], "-no-audio" ) )
		{
			sound::Sound::Disable();
			CLOG << "Disabled sound." << endl;
		}
	}
}

/*****************************************************************************
 * Start module.
 *****************************************************************************/
void
Start( void )
{
	// NOP.
}

} // namespace sound
